;;;; string-interpolator.scm -*- Scheme -*-
;;;; Kon Lovett, Aug '19

(declare
  (bound-to-procedure ##sys#print-to-string))

(module string-interpolator

(;export
  string-interpolate)

(import scheme
  (chicken base)
  (chicken platform)
  (chicken type)
  (only (chicken string) reverse-list->string)
  (only (srfi 1) reverse!))

(: string-interpolate (string #!rest -> list))

(include-relative "string-interpolation-body")

) ;string-interpolator
